| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

List of all members
GaudiPython.GaudiAlgs.GaudiAlgo Class Reference
Inheritance diagram for GaudiPython.GaudiAlgs.GaudiAlgo:
[legend]
Collaboration diagram for GaudiPython.GaudiAlgs.GaudiAlgo:
[legend]

## Additional Inherited Members
Public Member Functions inherited from GaudiPython.Bindings.iAlgorithm
def | __init__ (self, name, ialg=None)
def | retrieveInterface (self)
def | initialize (self)
def | start (self)
def | execute (self)
def | stop (self)
def | finalize (self)
def | reinitialize (self)
def | restart (self)
def | sysInitialize (self)
def | sysStart (self)
def | sysExecute (self)
def | sysStop (self)
def | sysFinalize (self)
def | sysReinitialize (self)
def | sysRestart (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | __init__ (self, name, ip=None)
def | getInterface (self)
def | retrieveInterface (self)
def | __call_interface_method__ (self, ifname, method, args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Detailed Description

    *******************************************************************************
    *                                                * 'Physisics do not like it, *
    *                                                *  physisics do not need it, *
    *                                                *  physisics do not use  it' *
    *                                                * ****************************
    *  Usage:                                                                     *
    *                                                                             *
    *  from GaudiPython.GaudiAlgs   import GaudiAlgo, SUCCESS                     *
    *                                                                             *
    *  class MyClass(GaudiAlgo) :                                                 *
    *       ' My specific Algorithm, derived from GaudiAlgo base class '          *
    *       def __init__( self , name , **args ) :                                *
    *            'Constructor from algorithm instance name & parameters'          *
    *             #invoke the constructor of base class                           *
    *             GaudiAlgo.__init__(self , name , **args )                       *
    *                                                                             *
    *       def initialize ( self ) :                                             *
    *           'Algorithm initialization'                                        *
    *           # initialize the base class                                       *
    *           status = GaudiAlgo.initialize( self )                             *
    *           if status.isFailure() : return status                             *
    *                                                                             *
    *           # locate the services and tools                                   *
    *                                                                             *
    *           # locate some tool:                                               *
    *           extrapolator = self.tool(ITrExtrapolator,'TrExtrapolator')        *
    *                                                                             *
    *           # locate the service                                              *
    *           rndmSvc = self.svc(IRndmGenSvc, 'RndmGenSvc')                     *
    *                                                                             *
    *           return SUCCESS                                                    *
    *                                                                             *
    *                                                                             *
    *       def execute ( self ) :                                                *
    *            'Major method (from IAlgorithm interface)'                       *
    *                                                                             *
    *           # get some data from Transient Event Store                        *
    *           tracks = self.get('/Event/Rec/Tracks')                            *
    *                                                                             *
    *           # use counters                                                    *
    *           c1 = self.counter('#Tracks')                                      *
    *           c2 = self.counter('No Tracks')                                    *
    *           if tracks.empty :                                                 *
    *              c2+=1                                                          *
    *           c1 += tracks->size()                                              *
    *                                                                             *
    *           if 1000 < tracks.size() :                                         *
    *                return self.Error('The event is *VERY* busy')                *
    *                                                                             *
    *           return SUCCESS                                                    *
    *                                                                             *
    *******************************************************************************

Definition at line 607 of file GaudiAlgs.py.

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/GaudiAlgs.py